Subject: Re: [RFC PATCH 1/3] t: import the clar unit testing framework

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 1 Aug 2024 15:55:28 +0200

On Thu, Aug 01, 2024 at 09:53:52AM -0400, [email-masked] wrote:
> On Thursday, August 1, 2024 9:50 AM, Patrick Steinhardt wrote:
> >On Thu, Aug 01, 2024 at 09:47:38AM -0400, [email-masked] wrote:
> >> On Thursday, August 1, 2024 9:37 AM, Patrick Steinhardt wrote:
> >> >As mentioned in another mail, we do not use its Makefile at all. Did
> >> >you
> >> check
> >> >whether the version I have proposed here works when running `make test`?
> >>
> >> That is the commit I have been trying to use. make test in clar or git?
> >
> >In Git itself. `make test` builds and runs our unit tests, and that now
> also includes
> >unit tests based on clar with this patch series. The clar Makefile exists
> only because I
> >did a 1:1 import of the upstream dependency. We could just as well remove
> it
> >altogether, including other bits that we don't end up using.
> 
> I see. Well, the 2.46.0 test passes. I ran 'seen' 5 days ago and 'next' is
> going now. Would that catch it?

No, as the patches in this thread are only up for discussion right now
and have not been merged to any of the branches. You'd have to apply
them on top of v2.46.0 first :)

Patrick